<?php

namespace Hilco\Models;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class RewardTier extends WebModel
{
	protected $table = 'RewardTiers';

	public function rewardModels() {
	    return $this
            ->belongsToMany(RewardModel::class, 'RewardTier_RewardModel', 'rewardmodel_id', 'rewardtier_id')
            ->withPivot(['minimum_categories', 'minimum_spending'])
        ;
    }
}
